<launch>
<include file="$(find adhoc_networking)/machines" />
	<group ns="hub">
	    <!-- Local -->
	    <node
	    	pkg="adhoc_networking"
	    	type="missionControlNetworkTesting_hub.py"
	    	name="missionControl"
	    	output="screen"
	    	required="true">
	    </node>
	</group>

	<group ns="NMB01">
	    <node
	    	machine="NMB01"
	    	pkg="adhoc_networking"
	    	type="broadcastTestNode_pi.py"
	    	name="broadcastUDP"
	    	output="screen" >
	    </node>
	    <node
	    	machine="NMB03"
	    	pkg="adhoc_networking"
	    	type="connectionTestListener_pi.py"
	    	name="listenerUDP"
	    	output="screen" >
</node>
	</group>

	<group ns="NMB03">
	    <node
	    	machine="NMB03"
	    	pkg="adhoc_networking"
	    	type="broadcastTestNode_pi.py"
	    	name="broadcastUDP"
	    	output="screen" >
	    </node>
	    <node
	    	machine="NMB03"
	    	pkg="adhoc_networking"
	    	type="connectionTestListener_pi.py"
	    	name="listenerUDP"
	    	output="screen" >
	    </node>
	</group>

</launch>
